/**
 * 分包证书管理接口
 */
import request from '@/api/index'
// 列表
export function getListPage(params: object) {
  return request({
    url: '/subcontract/certificate/listPage',
    method: 'get',
    params,
  })
}
// 新建编辑
export function editCertificate(data: object) {
  return request({
    url: '/subcontract/certificate/addOrUpdate',
    method: 'post',
    data,
  })
}
// 删除记录
export function deleteCertificate(data: object) {
  return request({
    url: `/subcontract/certificate/remove?id=${data.id}`,
    method: 'post',
  })
}
// 导出
export function exportCertificate(data: object) {
  return request({
    url: '/subcontract/certificate/export',
    method: 'post',
    data,
    responseType: 'blob',
  })
}
